<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://dpfpic.com
 * Licence GNU_GPL
 **/
 
# Control du token du formulaire
plxToken::validateFormToken($_POST);

# Vérification de l'existence du dossier /plugins/rdv
if(!is_dir(PLX_ROOT.PLX_CONFIG_PATH.'plugins/rdv')) {
	@mkdir(PLX_ROOT.PLX_CONFIG_PATH.'plugins/rdv',0755,true);

	# Protection du répertoire des entrées du RendezVous
	plxUtils::write('', PLX_ROOT.PLX_CONFIG_PATH.'plugins/rdv/index.html');
}


if(!empty($_POST)) {
	$plxPlugin->setParam('byPage', $_POST['byPage'], 'numeric');
	$plxPlugin->setParam('tri_rdv', $_POST['tri_rdv'], 'string');
	$plxPlugin->setParam('byPage_admin', $_POST['byPage_admin'], 'numeric');
	$plxPlugin->setParam('tooltipColor', $_POST['tooltipColor'], 'string');
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plxRendezVous');
	exit;
}
$byPage = $plxPlugin->getParam('byPage')=='' ? 6 : $plxPlugin->getParam('byPage');
$tri_rdv = $plxPlugin->getParam('tri_rdv')=='' ? 'rsort' : $plxPlugin->getParam('tri_rdv');
$byPage_admin = $plxPlugin->getParam('byPage_admin')=='' ? 10 : $plxPlugin->getParam('byPage_admin');
$tooltipColor = $plxPlugin->getParam('tooltipColor')=='' ? 'yellow' : $plxPlugin->getParam('tooltipColor');
?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS; ?>plxRendezVous/css/config.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php echo PLX_PLUGINS; ?>plxRendezVous/js/config.js"></script>
<div>
	<span class="tab_0 tab" id="tab_01" onclick="javascript:change_tab('01');"><?php $plxPlugin->lang('L_RDV_TAB01') ?></span>
	<span class="tab_0 tab" id="tab_02" onclick="javascript:change_tab('02');"><?php $plxPlugin->lang('L_RDV_TAB02') ?></span>	
	<span class="tab_0 tab" id="tab_03" onclick="javascript:change_tab('03');"><?php $plxPlugin->lang('L_RDV_TAB03') ?></span>	
</div>
<?php if ($plxAdmin->aConf['version'] < '5.4') { ?>
<h2><?php echo $plxPlugin->getInfo('title') ?></h2>
<?php } ?>
<div class="content_tab" id="content_tab_01">
<form class="inline-form" id="form_plxrendezvous" action="parametres_plugin.php?p=plxRendezVous" method="post">
	<fieldset>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_tri_rdv"><?php echo $plxPlugin->lang('L_RDV_TRI_RDV') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('tri_rdv',array('sort'=>$plxPlugin->getlang('L_RDV_SORT'),'rsort'=>$plxPlugin->getlang('L_RDV_RSORT')),$tri_rdv); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_byPage"><?php $plxPlugin->lang('L_RDV_BYPAGE') ?>&nbsp;:</label>
			<?php plxUtils::printInput('byPage',$byPage,'text','2-5') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">	
			<label for="id_tooltipColor"><?php echo $plxPlugin->lang('L_RDV_TOOLTIPCOLOR') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('tooltipColor',array('yellow'=>$plxPlugin->getlang('L_RDV_YELLOW'),'grey'=>$plxPlugin->getlang('L_RDV_GREY'),'blue'=>$plxPlugin->getlang('L_RDV_BLUE'),'pink'=>$plxPlugin->getlang('L_RDV_PINK')),$tooltipColor); ?>
			</div>
		</div>	
		</div>
		<div class="content_tab" id="content_tab_02">
		<div class="grid">
			<div class="col sml-12">
			<label for="id_byPage_admin"><?php $plxPlugin->lang('L_RDV_BYPAGE_ADMIN') ?>&nbsp;:</label>
			<?php plxUtils::printInput('byPage_admin',$byPage_admin,'text','2-5') ?>
			</div>
		</div>	
		</div>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_RDV_SAVE') ?>" />
		</p>		
	</fieldset>
</form>
<div class="content_tab" id="content_tab_03">
	<div id="update">
		<?php $infoPlugin = $plxPlugin->rendezvous->UpdatePlugin('plxRendezVous'); ?>
		<p><?php $plxPlugin->lang('L_VP_ACTUAL_VERSION'); ?>&nbsp;:&nbsp;<?php echo $infoPlugin['actualversion'].' ('.$infoPlugin['actualdate'].')'; ?></p>	
		<?php if ($infoPlugin['status'] == 0) { ?>
			<p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_ERROR'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxRendezVous/img/vers/up_warning.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 1) { ?>
			<p><?php $plxPlugin->lang('L_VP_LAST_VERSION'); ?>&nbsp;<?php echo $infoPlugin['newplugin']; ?>.</p>
			<p><img src="<?php echo PLX_PLUGINS; ?>plxRendezVous/img/vers/up_ok.gif" alt=""></p>
		<?php } elseif ($infoPlugin['status'] == 2) { ?>
			<p><?php $plxPlugin->lang('L_VP_NEW_VERSION'); ?><p>
			<p><span class="color"><?php echo $infoPlugin['newplugin']; ?>&nbsp;(<?php echo $infoPlugin['newversion']; ?>&nbsp;-&nbsp;<?php echo $infoPlugin['newdate']; ?>)</span></p>
			<p><?php $plxPlugin->lang('L_VP_NEW2_VERSION'); ?>.</p>
			<p><a href="<?php echo $infoPlugin['newurl']; ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxRendezVous/img/vers/up_download.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 3) {?>
		    <p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_DESACTIVED'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxRendezVous/img/vers/up_warning.gif" alt=""></a></p>
		<?php } ?>	
	</div>
</div>	
<script type="text/javascript">
var anc_tab = '01';
change_tab(anc_tab);
</script>
